Blob Blame History Raw
#!/bin/bash

# When not using wildcards, not having any match is an error.

set -e

tmpdir=$(mktemp -d)
if [ ! -d $tmpdir ] ; then
        echo "Failed to create tmp directory" >&2
        exit 0
fi

# remove the directory
rmdir $tmpdir

tmpfile1=$(mktemp)
if [ ! -w $tmpfile1 ] ; then
        echo "Failed to create tmp file" >&2
        exit 0
fi

# cleanup if aborted
trap "rm -rf $tmpfile1" EXIT

RULESET1="include \"$tmpdir/non_existent_file.nft\""

echo "$RULESET1" > $tmpfile1

$NFT -f $tmpfile1 || exit 0
echo "E: Failed to catch a missing include directory/file" >&2
exit 1